DivisionLkpReader (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.db.emblcd.DivisionLkpReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.db.emblcd
Class DivisionLkpReader

    java.lang.Object
      org.biojava.bio.seq.db.emblcd.EmblCDROMIndexReader
          org.biojava.bio.seq.db.emblcd.DivisionLkpReader

    public class DivisionLkpReader

extends EmblCDROMIndexReader

`DivisionLkpReader` reads the "division.lkp" file of an EMBL CD-ROM format binary index.

Since:
  1.2
Author:
  Keith James

Field Summary

Fields inherited from class org.biojava.bio.seq.db.emblcd.EmblCDROMIndexReader
`input, recParser, sb`

Constructor Summary
`DivisionLkpReader(InputStream input)` Creates a new `DivisionLkpReader`.

Method Summary
`Object[]` | `readRecord()` `readRecord` creates an array of Objects from the raw byte array of a single record.

Methods inherited from class org.biojava.bio.seq.db.emblcd.EmblCDROMIndexReader
`close, readDBDate, readDBName, readDBRelease, readFileLength, readRawRecord, readRecordCount, readRecordLength`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DivisionLkpReader

    public DivisionLkpReader(InputStream input)
                      throws IOException

  Creates a new `DivisionLkpReader`.

  Parameters:
    `input` - an `InputStream`.
  Throws:
    `IOException` - if an error occurs.

Method Detail

### readRecord

    public Object[] readRecord()
                        throws IOException

  `readRecord` creates an array of Objects from the raw byte array of a single record.

  Specified by:
    `readRecord` in class `EmblCDROMIndexReader`
  Returns:
    an `Object []` array.
  Throws:
    `IOException` - if an error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD